Loading...
Searching...
No Matches
Intvec Class Reference

`#include <IIntvec.h>`

## Public Member Functions

| Intvec (iterator first, iterator last, const allocator_type &__a=allocator_type())
| Intvec (int n=0)
| Intvec (intvec &iv)
intvec * | allocate_legacy_intvec_copy () const

## Detailed Description

Definition at line 5 of file IIntvec.h.

## Constructor & Destructor Documentation

## Intvec() [1/3]

Intvec::Intvec | ( | iterator | first,
|  | iterator | last,
|  | const allocator_type & | __a = allocator_type() )

inline

Definition at line 8 of file IIntvec.h.

:
std::vector<int>(first,last,__a){}
last
STATIC_VAR poly last
Definition hdegree.cc:1138

## Intvec() [2/3]

Intvec::Intvec | ( | int | n = 0 | ) |

inline

Definition at line 12 of file IIntvec.h.

:std::vector<int>(n){}

## Intvec() [3/3]

Intvec::Intvec | ( | intvec & | iv | ) |

inline

Definition at line 13 of file IIntvec.h.

:std::vector<int>(iv.length())
{
int n=iv.length();
for(int i=0;i<n;i++)
{
(*this)[i]=iv[i];
}
}
i
int i
Definition cfEzgcd.cc:132
intvec::length
int length() const
Definition intvec.h:95

## Member Function Documentation

## allocate_legacy_intvec_copy()

intvec * Intvec::allocate_legacy_intvec_copy | ( |  | ) | const

inline

Definition at line 21 of file IIntvec.h.

{
int s=size();
intvec* iv=new intvec(s);
for(int i=0;i<s;i++)
{
(*iv)[i]=(*this)[i];
}
return iv;
}
size
int size(const CanonicalForm &f, const Variable &v)
int size ( const CanonicalForm & f, const Variable & v )
Definition cf_ops.cc:600
s
const CanonicalForm int s
Definition facAbsFact.cc:51

The documentation for this class was generated from the following file:

- Singular/dyn_modules/python/IIntvec.h